Package kiyut.sketsa.canvas

## Class DefaultCanvasGrid

- java.lang.Object
- - kiyut.sketsa.canvas.DefaultCanvasGrid

- All Implemented Interfaces:
    `CanvasGrid`

      public class DefaultCanvasGrid
      extends Object
      implements CanvasGrid

  Implementation CanvasGrid, some of the value is come from CanvasOptions
  Author:
    KIYUT

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultCanvasGrid()` | Creates a new instance of DefaultCanvasGrid

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getGridSize()` | Return Grid size in pixel eg: 50, 100.
    `boolean` | `isVisible()` | Return true or false
    `void` | `paint​(Graphics2D g2d)` | Render this Grid
    `void` | `setVectorCanvas​(VectorCanvas canvas)` | Sets the canvas associated with this CanvasSelection.
    `void` | `setVisible​(boolean visible)` | Shows or hides depending on the value of parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCanvasGrid

          public DefaultCanvasGrid()

      Creates a new instance of DefaultCanvasGrid

  - ### Method Detail

    - #### paint

          public void paint​(Graphics2D g2d)

      Description copied from interface: `CanvasGrid`
      Render this Grid
      Specified by:
        `paint` in interface `CanvasGrid`
      Parameters:
        `g2d` - Graphics2D

    - #### setVectorCanvas

          public void setVectorCanvas​(VectorCanvas canvas)

      Description copied from interface: `CanvasGrid`
      Sets the canvas associated with this CanvasSelection.
      Specified by:
        `setVectorCanvas` in interface `CanvasGrid`
      Parameters:
        `canvas` - the Canvas

    - #### setVisible

          public void setVisible​(boolean visible)

      Description copied from interface: `CanvasGrid`
      Shows or hides depending on the value of parameter.
      Specified by:
        `setVisible` in interface `CanvasGrid`
      Parameters:
        `visible` - true or false
      See Also:
        `CanvasGrid.isVisible()`

    - #### isVisible

          public boolean isVisible()

      Description copied from interface: `CanvasGrid`
      Return true or false
      Specified by:
        `isVisible` in interface `CanvasGrid`
      Returns:
        true or false
      See Also:
        `CanvasGrid.setVisible(boolean)`

    - #### getGridSize

          public int getGridSize()

      Description copied from interface: `CanvasGrid`
      Return Grid size in pixel eg: 50, 100. It is the Grid Line size
      Specified by:
        `getGridSize` in interface `CanvasGrid`
      Returns:
        Grid Size in pixel